
Figure - Bug #115041
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】分段保存日志，APP上修改单个文件大小配置（persisit file size）
，/data/tlog/persist/ 设置生效，/data/tlog/manual/设置不生效
2023-01-04 10:25 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-02-16

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-16

Test Type: ST Root cause: 需求较低

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，点击右上角进入设置

3、分别修改persisit和manual中的persist文件大小限制

4、点击保存后，查看/data/tlog/persist/ 下文件大小，/data/tlog/manual/文件大小

5、设备重启，再次查看/data/tlog/persist/ 下文件大小，/data/tlog/manual/文件大小

【预期结果】

4.5 persisit和manual下的日志文件单个变更为修改的大小，设备重启后，仍然保持修改后的大小设置

【实际结果】

4.5. persisit下的日志文件单个变更为修改的大小，设备重启后，仍然保持修改后的大小设置

manual下的文件大小修改未生效

History

#1 - 2023-01-11 18:12 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

需求较低，默认大小256K

#2 - 2023-01-12 15:29 - CD SYSTEM-夏旭

- Due date set to 2023-02-16

#3 - 2023-01-16 15:38 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No
- Fixed Version set to 2023-01-16

- Root cause set to 需求较低

#4 - 2023-01-29 11:33 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据RD讨论，此问题需求较低，默认256k，暂时不需修改

#5 - 2023-01-29 11:33 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
